hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chris Douglas (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-13363) Upgrade protobuf from 2.5.0 to something newer
Date Thu, 14 Sep 2017 20:44:00 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-13363?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16166944#comment-16166944
] 

Chris Douglas commented on HADOOP-13363:
----------------------------------------

bq. I still remember when we bumped the protobuf version shortly before 2.2.0 GA, and the
downstream pain it caused due to ABI conflicts
We certainly want to avoid that, but does anyone have cycles to fit this between 3.0.0-beta1
and GA? Bumping the PB version in a minor release would be regrettable, particularly since
we're making such a big jump. Taking the hit in 3.0.0 and addressing incompatibility in a
minor, even patch release might be easier.

Users expect upgrading to a major version to require some additional testing. Bumping this
in a minor version might cause more downstream headaches, even if careful shading would avoid
more actual incompatibilities. Most of our use of PB is behind interfaces, so most users shouldn't
notice...

> Upgrade protobuf from 2.5.0 to something newer
> ----------------------------------------------
>
>                 Key: HADOOP-13363
>                 URL: https://issues.apache.org/jira/browse/HADOOP-13363
>             Project: Hadoop Common
>          Issue Type: Improvement
>          Components: build
>    Affects Versions: 3.0.0-alpha1, 3.0.0-alpha2
>            Reporter: Allen Wittenauer
>            Assignee: Tsuyoshi Ozawa
>         Attachments: HADOOP-13363.001.patch, HADOOP-13363.002.patch, HADOOP-13363.003.patch,
HADOOP-13363.004.patch, HADOOP-13363.005.patch
>
>
> Standard protobuf 2.5.0 does not work properly on many platforms.  (See, for example,
https://gist.github.com/BennettSmith/7111094 ).  In order for us to avoid crazy work arounds
in the build environment and the fact that 2.5.0 is starting to slowly disappear as a standard
install-able package for even Linux/x86, we need to either upgrade or self bundle or something
else.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message